Package Details: electrum-git 20190703-1

Git Clone URL: https://aur.archlinux.org/electrum-git.git (read-only)
Package Base: electrum-git
Description: Lightweight Bitcoin wallet
Upstream URL: https://github.com/spesmilo/electrum
Keywords: bitbox bitcoin coldcard cryptocurrency keepkey ledger trezor wallet
Licenses: MIT
Conflicts: electrum
Provides: electrum
Submitter: oneeyed
Maintainer: pizzaman
Last Packager: pizzaman
Votes: 32
Popularity: 1.290758
First Submitted: 2012-08-15 12:32
Last Updated: 2019-07-04 08:48

Dependencies (40)

Required by (3)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3

RunningDroid commented on 2013-10-19 23:39

Sorry for the late response, the AUR didn't notify me.

lsparrish commented on 2013-10-05 06:58

As of the latest git, it fails due to a change in directory layout. 'gui' now contains subfolders. Here's a sed string that works more generally, and also matches end of line so if you run it twice you don't end up with python22:
sed -i -e 's|^#!/usr/bin/env python$|#!/usr/bin/env python2|' $(find . -type f)

lsparrish commented on 2013-10-05 06:54

I've noticed that with recent changes to the gui folder, the sed script is broken. Here's a fixed version:
sed -i -e 's|^#!/usr/bin/env python|#!/usr/bin/env python2|' \
-e 's|^#!/usr/bin/python|#!/usr/bin/python2|' \
lib/* gui/*.py gui/*/* scripts/* electrum make_packages mki18n.py setup.py

Or you could shorten it to this:
sed -i -e 's|^#!/usr/bin/env python$|#!/usr/bin/env python2|' $(find . -type f

gh0st commented on 2013-03-07 14:25

changing 'pyrcc4 icons.qrc -o lib/icons_rc.py' to 'pyrcc4 icons.qrc -o gui/icons_rc.py' solved the problem

gh0st commented on 2013-03-07 14:15

Warning: Cannot deserialize transactions. skipping
Error: Could not import icons_rc.py, please generate it with: 'pyrcc4 icons.qrc -o gui/icons_rc.py'

oneeyed commented on 2013-03-06 14:35

Updated.

Maxr commented on 2013-03-06 14:01

dep problem: qt has to be replaced with qt4.